Bug 144666 - restorecon segfaults with options "-R -v -n"
restorecon segfaults with options "-R -v -n"
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
3
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-10 09:49 EST by Robert Nichols
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2005-254
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-09 09:08:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Nichols 2005-01-10 09:49:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
The "restorecon" utility segfaults if run with all three of the
options "-R" "-v" and "-n".

Version-Release number of selected component (if applicable):
policycoreutils-1.18.1-2.3

How reproducible:
Always

Steps to Reproduce:
1. Run "restorecon -R -v -n /"


Actual Results:  
restorecon reset context / (null)->system_u:object_r:root_t
Segmentation fault


Expected Results:  The (apparently) redundant "-v" option should
either be complained about or ignored.

Additional info:
Comment 1 Daniel Walsh 2005-01-10 13:22:28 EST
Fixed in policycoreutils-1.18.1-2.4
Comment 2 Tim Powers 2005-06-09 09:08:03 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-254.html

Note You need to log in before you can comment on or make changes to this bug.